HTTP2.Pro

Online tool to check server HTTP/2, ALPN, and Server-push support.

Enable HTTP/2 support in LiteSpeed server

Last updated: 05 Jan 2017

LiteSpeed server (All editions: Open, Standard, and Enterprise) come with HTTP/2 support for since the mod 2015. From our tests, their HTTP/2 implementation pretty mature and widely available. If you are running an older version of LiteSpeed, make sure to upgrade to the latest. All versions from 1.4 branch has HTTP/2 support, but we recommend you upgrade to the latest version available.

Enable HTTP/2 support in LiteSpeed

HTTP/2 support is enabled by default. You do not need to make any changes in the configuration files. We strongly recommend you use HTTPS in your web site to make the best use of HTTP/2 protocol. If you would like to use HTTP/2 without HTTPS, you can enable so from the Server Configuration > General > Enable HTTP/2 Over Cleartext TCP option.